If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Intermittent crash [@ NS_AsyncCopy] (nsAsyncStreamCopier::AsyncCopy) in mochitests (browser_tabview_bug627288.js browser_scratchpad_files.js browser_tabview_orphaned_tabs.js browser_tabview_bug616967.js test_ctypes.xul | Exited with code -1073741819)

RESOLVED WORKSFORME

Status

()

Core
Networking
--
critical
RESOLVED WORKSFORME
7 years ago
5 years ago

People

(Reporter: mbrubeck, Unassigned)

Tracking

({crash, intermittent-failure})

Trunk
x86
Windows XP
crash, intermittent-failure
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [test that aborts the suite], crash signature)

(Reporter)

Description

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1304969500.1304971922.24239.gz&fulltext=1#err4

TEST-PASS | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_bug627288.js | tab label is up-to-date
pldhash: for the table at address 12005B50, the given entrySize of 48 probably favors chaining over double hashing.
++DOCSHELL 12005AE8 == 15
++DOMWINDOW == 106 (1259D3A8) [serial = 2127] [outer = 00000000]
++DOMWINDOW == 107 (127FFB60) [serial = 2128] [outer = 1259D358]
nsStringStats
 => mAllocCount:        1133345
 => mReallocCount:        61726
 => mFreeCount:         1108354  --  LEAKED 24991 !!!
 => mShareCount:        1657390
 => mAdoptCount:          62457
 => mAdoptFreeCount:      62455  --  LEAKED 2 !!!
WARNING: shutting down early because of crash!: file e:/builds/moz2_slave/cen-w32-dbg/build/dom/plugins/ipc/PluginModuleChild.cpp, line 663
WARNING: plugin process _exit()ing: file e:/builds/moz2_slave/cen-w32-dbg/build/dom/plugins/ipc/PluginModuleChild.cpp, line 655
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
nsStringStats
 => mAllocCount:            171
 => mReallocCount:            1
 => mFreeCount:             110  --  LEAKED 61 !!!
 => mShareCount:            118
 => mAdoptCount:              0
 => mAdoptFreeCount:          0
NEXT ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_bug627288.js | Exited with code -1073741819 during test run
INFO | automation.py | Application ran for: 0:09:35.875000
INFO | automation.py | Reading PID log: c:\docume~1\cltbld\locals~1\temp\tmpdy15l0pidlog
==> process 1136 launched child process 1840
INFO | automation.py | Checking for orphan process with PID: 1840
NEXT ERROR PROCESS-CRASH | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_bug627288.js | application crashed (minidump found)
Operating system: Windows NT
                  5.1.2600 Service Pack 2
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     2 CPUs

Crash reason:  EXCEPTION_ACCESS_VIOLATION_READ
Crash address: 0xffffffffdddddde1

Thread 0 (crashed)
 0  xul.dll!NS_AsyncCopy(nsIInputStream *,nsIOutputStream *,nsIEventTarget *,nsAsyncCopyMode,unsigned int,void (*)(void *,unsigned int),void *,int,int,nsISupports * *) [nsStreamUtils.cpp:0221eb8660f4 : 620 + 0xd]
    eip = 0x0228b04c   esp = 0x0012b22c   ebp = 0x0012b24c   ebx = 0x05c60158
    esi = 0x036fcc28   edi = 0x159b2b40   eax = 0x00000000   ecx = 0xdddddddd
    edx = 0x0c6b7130   efl = 0x00010206
    Found by: given as instruction pointer in context
 1  xul.dll!nsAsyncStreamCopier::AsyncCopy(nsIRequestObserver *,nsISupports *) [nsAsyncStreamCopier.cpp:0221eb8660f4 : 282 + 0x6a]
    eip = 0x00b15462   esp = 0x0012b254   ebp = 0x0012b28c
    Found by: call frame info
 2  xul.dll!NS_InvokeByIndex_P [xptcinvoke.cpp:0221eb8660f4 : 102 + 0x2]
    eip = 0x022de787   esp = 0x0012b294   ebp = 0x0012b2a8
    Found by: call frame info
 3  xul.dll!CallMethodHelper::Invoke() [xpcwrappednative.cpp:0221eb8660f4 : 3141 + 0x1b]
    eip = 0x01a7e3a8   esp = 0x0012b2b0   ebp = 0x0012b2e0
    Found by: call frame info
 4  xul.dll!CallMethodHelper::Call() [xpcwrappednative.cpp:0221eb8660f4 : 2407 + 0x7]
    eip = 0x01a7bdcf   esp = 0x0012b2e8   ebp = 0x0012b2f4
    Found by: call frame info
 5  xul.dll!XPCWrappedNative::CallMethod(XPCCallContext &,XPCWrappedNative::CallMode) [xpcwrappednative.cpp:0221eb8660f4 : 2371 + 0x15]
    eip = 0x01a7ba8d   esp = 0x0012b2fc   ebp = 0x0012b478
    Found by: call frame info
 6  xul.dll!XPC_WN_CallMethod(JSContext *,unsigned int,jsval_layout *) [xpcwrappednativejsops.cpp:0221eb8660f4 : 1610 + 0xd]
    eip = 0x01a8aadc   esp = 0x0012b480   ebp = 0x0012b554
    Found by: call frame info
 7  mozjs.dll!js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,js::Value *),unsigned int,js::Value *) [jscntxtinlines.h:0221eb8660f4 : 277 + 0xe]
    eip = 0x03e583f9   esp = 0x0012b55c   ebp = 0x0012b578
    Found by: call frame info
 8  mozjs.dll!CallCompiler::generateNativeStub() [MonoIC.cpp:0221eb8660f4 : 808 + 0x34]
    eip = 0x04062595   esp = 0x0012b580   ebp = 0x0012bb38
    Found by: call frame info
 9  mozjs.dll!js::mjit::ic::NativeCall(js::VMFrame &,js::mjit::ic::CallICInfo *) [MonoIC.cpp:0221eb8660f4 : 1026 + 0x7]
    eip = 0x040622f6   esp = 0x0012bb40   ebp = 0x0012bb58
    Found by: call frame info
10  mozjs.dll!js::mjit::EnterMethodJIT(JSContext *,js::StackFrame *,void *,js::Value *) [MethodJIT.cpp:0221eb8660f4 : 685 + 0x14]
    eip = 0x03fff67b   esp = 0x0012bba0   ebp = 0x0012bb98
    Found by: call frame info with scanning
(Reporter)

Comment 1

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1304983873.1304986133.31325.gz&fulltext=1

TEST-PASS | chrome://mochitests/content/browser/browser/base/content/test/browser_scratchpad_files.js | the textbox.value is correct
###!!! ASSERTION: illegal refcnt: 'PRInt32(mRefCnt) >= 0', file e:/builds/moz2_slave/cen-w32-dbg/build/xpcom/io/nsStreamUtils.cpp, line 497
nsStringStats
 => mAllocCount:         639160
 => mReallocCount:        38304
 => mFreeCount:          619650  --  LEAKED 19510 !!!
 => mShareCount:         858962
 => mAdoptCount:          32147
 => mAdoptFreeCount:      32145  --  LEAKED 2 !!!
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x00000000017DD6AF
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x0000000000067830
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x0000000001830DE5
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x0000000000FD0A06
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x0000000000FCE42D
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x0000000000FCE0EB
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x0000000000FDD13A
mozjs!JS_PrintTraceThingInfo+0x00000000000D9781
mozjs!JS_PrintTraceThingInfo+0x00000000000EDDAB
mozjs!JS_PrintTraceThingInfo+0x00000000000D8A65
mozjs!JS_PrintTraceThingInfo+0x00000000000D8F8D
mozjs!JS_PrintTraceThingInfo+0x00000000000AE00C
mozjs!JS_PrintTraceThingInfo+0x00000000000D9781
mozjs!JS_PrintTraceThingInfo+0x00000000000EDDAB
mozjs!JS_PrintTraceThingInfo+0x00000000000D8A65
mozjs!JS_PrintTraceThingInfo+0x00000000000D8F8D
mozjs!JS_PrintTraceThingInfo+0x00000000000DA158
mozjs!JS_PrintTraceThingInfo+0x0000000000036E27
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x0000000000FC3498
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x0000000000FB9701
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x00000000018313A4
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x0000000001831074
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x000000000009D5BB
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x000000000006DEF5
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x000000000008227C
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x0000000000081ADE
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x00000000017DCB28
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x000000000180E762
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x0000000001790641
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x000000000165275B
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x000000000186CD8C
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x000000000186CCB0
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x000000000186CBBB
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x00000000014D83CE
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x000000000148D500
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x00000000011CD7E8
xul!mozilla::BasePoint<double,gfxPoint>::operator-+0x0000000000023899
0x0000000000402772
0x0000000000401D27
0x0000000000407B96
0x00000000004079ED
kernel32!RegisterWaitForInputIdle+0x0000000000000049
WARNING: shutting down early because of crash!: file e:/builds/moz2_slave/cen-w32-dbg/build/dom/plugins/ipc/PluginModuleChild.cpp, line 663
WARNING: plugin process _exit()ing: file e:/builds/moz2_slave/cen-w32-dbg/build/dom/plugins/ipc/PluginModuleChild.cpp, line 655
NPP_Destroy
NPP_Destroy
NPP_Destroy
nsStringStats
 => mAllocCount:            145
 => mReallocCount:            1
 => mFreeCount:              84  --  LEAKED 61 !!!
 => mShareCount:            118
 => mAdoptCount:              0
 => mAdoptFreeCount:          0
NEXT ERROR TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/browser_scratchpad_files.js | Exited with code -1073741819 during test run
INFO | automation.py | Application ran for: 0:04:44.687000
INFO | automation.py | Reading PID log: c:\docume~1\cltbld\locals~1\temp\tmpbvujihpidlog
==> process 3712 launched child process 2000
INFO | automation.py | Checking for orphan process with PID: 2000
NEXT ERROR PROCESS-CRASH | chrome://mochitests/content/browser/browser/base/content/test/browser_scratchpad_files.js | application crashed (minidump found)
Operating system: Windows NT
                  5.1.2600 Service Pack 2
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     2 CPUs

Crash reason:  EXCEPTION_ACCESS_VIOLATION_READ
Crash address: 0xffffffffdddddde5

Thread 0 (crashed)
 0  xul.dll!NS_AsyncCopy(nsIInputStream *,nsIOutputStream *,nsIEventTarget *,nsAsyncCopyMode,unsigned int,void (*)(void *,unsigned int),void *,int,int,nsISupports * *) [nsStreamUtils.cpp:33992b8ef80e : 622 + 0x9]
    eip = 0x0228b32a   esp = 0x0012a6c8   ebp = 0x0012a6e8   ebx = 0x00000001
    esi = 0x036fdc48   edi = 0xffff0007   eax = 0x0c6b8530   ecx = 0xdddddddd
    edx = 0x0c6b8530   efl = 0x00010202
    Found by: given as instruction pointer in context
 1  xul.dll!nsAsyncStreamCopier::AsyncCopy(nsIRequestObserver *,nsISupports *) [nsAsyncStreamCopier.cpp:33992b8ef80e : 282 + 0x6a]
    eip = 0x00b154a2   esp = 0x0012a6f0   ebp = 0x0012a728
    Found by: call frame info
 2  xul.dll!NS_InvokeByIndex_P [xptcinvoke.cpp:33992b8ef80e : 102 + 0x2]
    eip = 0x022dea57   esp = 0x0012a730   ebp = 0x0012a744
    Found by: call frame info
 3  xul.dll!CallMethodHelper::Invoke() [xpcwrappednative.cpp:33992b8ef80e : 3141 + 0x1b]
    eip = 0x01a7e678   esp = 0x0012a74c   ebp = 0x0012a77c
    Found by: call frame info
 4  xul.dll!CallMethodHelper::Call() [xpcwrappednative.cpp:33992b8ef80e : 2407 + 0x7]
    eip = 0x01a7c09f   esp = 0x0012a784   ebp = 0x0012a790
    Found by: call frame info
 5  xul.dll!XPCWrappedNative::CallMethod(XPCCallContext &,XPCWrappedNative::CallMode) [xpcwrappednative.cpp:33992b8ef80e : 2371 + 0x15]
    eip = 0x01a7bd5d   esp = 0x0012a798   ebp = 0x0012a914
    Found by: call frame info
 6  xul.dll!XPC_WN_CallMethod(JSContext *,unsigned int,jsval_layout *) [xpcwrappednativejsops.cpp:33992b8ef80e : 1610 + 0xd]
    eip = 0x01a8adac   esp = 0x0012a91c   ebp = 0x0012a9f0
    Found by: call frame info
 7  mozjs.dll!js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,js::Value *),unsigned int,js::Value *) [jscntxtinlines.h:33992b8ef80e : 277 + 0xe]
    eip = 0x03e583f9   esp = 0x0012a9f8   ebp = 0x0012aa14
    Found by: call frame info
 8  mozjs.dll!js::Interpret(JSContext *,js::StackFrame *,unsigned int,js::InterpMode) [jsinterp.cpp:33992b8ef80e : 4664 + 0x20]
    eip = 0x03e6ca23   esp = 0x0012aa1c   ebp = 0x0012bc3c
    Found by: call frame info
 9  mozjs.dll!js::RunScript(JSContext *,JSScript *,js::StackFrame *) [jsinterp.cpp:33992b8ef80e : 603 + 0x10]
    eip = 0x03e576dd   esp = 0x0012bc44   ebp = 0x0012bc58
    Found by: call frame info
10  mozjs.dll!js::Invoke(JSContext *,js::CallArgs const &,js::ConstructOption) [jsinterp.cpp:33992b8ef80e : 684 + 0x10]
    eip = 0x03e57c05   esp = 0x0012bc60   ebp = 0x0012bcc0
    Found by: call frame info
11  mozjs.dll!js_fun_call(JSContext *,unsigned int,js::Value *) [jsfun.cpp:33992b8ef80e : 2148 + 0xe]
    eip = 0x03e2cc84   esp = 0x0012bcc8   ebp = 0x0012bd14
    Found by: call frame info
12  mozjs.dll!js::CallJSNative(JSContext *,int (*)(JSContext *,unsigned int,js::Value *),unsigned int,js::Value *) [jscntxtinlines.h:33992b8ef80e : 277 + 0xe]
    eip = 0x03e583f9   esp = 0x0012bd1c   ebp = 0x0012bd38
    Found by: call frame info
13  mozjs.dll!js::Interpret(JSContext *,js::StackFrame *,unsigned int,js::InterpMode) [jsinterp.cpp:33992b8ef80e : 4664 + 0x20]
    eip = 0x03e6ca23   esp = 0x0012bd40   ebp = 0x0012cf60
    Found by: call frame info
14  mozjs.dll!js::RunScript(JSContext *,JSScript *,js::StackFrame *) [jsinterp.cpp:33992b8ef80e : 603 + 0x10]
    eip = 0x03e576dd   esp = 0x0012cf68   ebp = 0x0012cf7c
    Found by: call frame info
15  mozjs.dll!js::Invoke(JSContext *,js::CallArgs const &,js::ConstructOption) [jsinterp.cpp:33992b8ef80e : 684 + 0x10]
    eip = 0x03e57c05   esp = 0x0012cf84   ebp = 0x0012cfe4
    Found by: call frame info
16  mozjs.dll!js::ExternalInvoke(JSContext *,js::Value const &,js::Value const &,unsigned int,js::Value *,js::Value *) [jsinterp.cpp:33992b8ef80e : 806 + 0xe]
    eip = 0x03e58dd0   esp = 0x0012cfec   ebp = 0x0012d028
    Found by: call frame info
17  mozjs.dll!JS_CallFunctionValue [jsapi.cpp:33992b8ef80e : 5079 + 0x44]
    eip = 0x03db5a9f   esp = 0x0012d030   ebp = 0x0012d064
    Found by: call frame info
18  xul.dll!nsXPCWrappedJSClass::CallMethod(nsXPCWrappedJS *,unsigned short,XPTMethodDescriptor const *,nsXPTCMiniVariant *) [xpcwrappedjsclass.cpp:33992b8ef80e : 1662 + 0x37]
    eip = 0x01a7110a   esp = 0x0012d06c   ebp = 0x0012d4e8
    Found by: call frame info
19  xul.dll!nsXPCWrappedJS::CallMethod(unsigned short,XPTMethodDescriptor const *,nsXPTCMiniVariant *) [xpcwrappedjs.cpp:33992b8ef80e : 586 + 0x29]
    eip = 0x01a67373   esp = 0x0012d4f0   ebp = 0x0012d528
    Found by: call frame info
20  xul.dll!PrepareAndDispatch [xptcstubs.cpp:33992b8ef80e : 114 + 0x20]
    eip = 0x022df016   esp = 0x0012d530   ebp = 0x0012d5fc
    Found by: call frame info
21  xul.dll!SharedStub [xptcstubs.cpp:33992b8ef80e : 141 + 0x4]
    eip = 0x022dece6   esp = 0x0012d604   ebp = 0x0012d618
    Found by: call frame info
22  xul.dll!nsSimpleStreamListener::OnStopRequest(nsIRequest *,nsISupports *,unsigned int) [nsSimpleStreamListener.cpp:33992b8ef80e : 70 + 0x36]
    eip = 0x00b4b22d   esp = 0x0012d620   ebp = 0x0012d618
    Found by: call frame info with scanning
(Reporter)

Updated

7 years ago
Summary: Intermittent crash [@ NS_AsyncCopy] (nsAsyncStreamCopier::AsyncCopy) in WinXP debug mochitests → Intermittent crash [@ NS_AsyncCopy] (nsAsyncStreamCopier::AsyncCopy) in WinXP debug mochitests (Exited with code -1073741819)

Comment 2

7 years ago
s: talos-r3-xp-029
PROCESS-CRASH | Main app process exited normally | application crashed (minidump found)
Thread 0 (crashed)
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/browser_scratchpad_files.js | Exited with code -1073741819 during test run
PROCESS-CRASH | chrome://mochitests/content/browser/browser/base/content/test/browser_scratchpad_files.js | application crashed (minidump found)
Thread 0 (crashed)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | missing output line for total leaks!
TEST-UNEXPECTED-FAIL | plugin process 3680 | automationutils.processLeakLog() | missing output line for total leaks!

http://dev.philringnalda.com/tbpl/?tree=Try&rev=b646f3f1b8dc

http://tinderbox.mozilla.org/showlog.cgi?log=Try/1304973029.1304975490.9599.gz
(Reporter)

Comment 3

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1305061681.1305065832.899.gz

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/browser_scratchpad_files.js | Exited with code -1073741819 during test run
INFO | automation.py | Application ran for: 0:04:52.093000
INFO | automation.py | Reading PID log: c:\docume~1\cltbld\locals~1\temp\tmp9aox4-pidlog
==> process 3096 launched child process 3676
INFO | automation.py | Checking for orphan process with PID: 3676
PROCESS-CRASH | chrome://mochitests/content/browser/browser/base/content/test/browser_scratchpad_files.js | application crashed (minidump found)
Operating system: Windows NT
                  5.1.2600 Service Pack 2
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     2 CPUs

Crash reason:  EXCEPTION_ACCESS_VIOLATION_READ
Crash address: 0xffffffffdddddde5

Thread 0 (crashed)
 0  xul.dll!NS_AsyncCopy(nsIInputStream *,nsIOutputStream *,nsIEventTarget *,nsAsyncCopyMode,unsigned int,void (*)(void *,unsigned int),void *,int,int,nsISupports * *) [nsStreamUtils.cpp:fbe2374e7ea0 : 622 + 0x9]
    eip = 0x0228c78a   esp = 0x0012a6c8   ebp = 0x0012a6e8   ebx = 0x00000001
    esi = 0x036ffc78   edi = 0xffff0007   eax = 0x079f4568   ecx = 0xdddddddd
    edx = 0x079f4568   efl = 0x00010202
    Found by: given as instruction pointer in context
(Reporter)

Updated

7 years ago
Summary: Intermittent crash [@ NS_AsyncCopy] (nsAsyncStreamCopier::AsyncCopy) in WinXP debug mochitests (Exited with code -1073741819) → Intermittent crash [@ NS_AsyncCopy] (nsAsyncStreamCopier::AsyncCopy) in WinXP debug mochitests (browser_tabview_bug627288.js browser_scratchpad_files.js | Exited with code -1073741819)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Tim, Mihai: you guys wrote these tests months ago (Feb 2011 in the case of browser_tabview_bug627288.js, April 2011 in the case of browser_scratchpad_files.js -- though it was then called browser_workspace_files.js).

There was apparently a code-change a few days ago that made these tests start crashing (skipping all subsequent tests) pretty frequently. (multiple times per day, collectively)

I'm assuming this regressed in the 24 hours before comment 0, which yields this regression range:
http://hg.mozilla.org/mozilla-central/pushloghtml?startdate=2011-05-08+18%3A00%3A00&enddate=2011-05-09+18%3A00%3A00

That range includes a 40-cset devtools merge, which seems to be the most suspicious thing at first glance. (given that one of the affected tests is a devtools-related test)

Mihai or robcee, perhaps one of you could give that merge a look-see for any pushes that could have regressed this, so we can back it out (or push a fix) and stop this up-and-coming source of testsuite-aborting orange?
Whiteboard: [orange] → [orange][test that aborts the suite]
Comment hidden (Treeherder Robot)
I really don't know what happens here but these two tests run NetUtil.asyncCopy() a lot and that is where it's crashing. Maybe anyone familiar with the NetUtils async code could take a look at it? We shouldn't be able to crash this kind of code from chrome.
I was just looking at this and immediately noticed NetUtil.jsm as well. I think there are more likely candidates in that checkin range than just the devtools merge.
browser_scratchpad_files.js also makes use of NetUtils.asyncFetch which was last modified on Mar 31. Maybe related...
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1307264576.1307268039.25780.gz
(Assignee)

Updated

6 years ago
Crash Signature: [@ NS_AsyncCopy]
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1308605735.1308608151.6130.gz&fulltext=1
Rev3 WINNT 5.1 tracemonkey debug test mochitest-other on 2011/06/20 14:35:35
s: talos-r3-xp-052

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/tabview/browser_tabview_orphaned_tabs.js | Exited with code -1073741819 during test run
Summary: Intermittent crash [@ NS_AsyncCopy] (nsAsyncStreamCopier::AsyncCopy) in WinXP debug mochitests (browser_tabview_bug627288.js browser_scratchpad_files.js | Exited with code -1073741819) → Intermittent crash [@ NS_AsyncCopy] (nsAsyncStreamCopier::AsyncCopy) in WinXP debug mochitests (browser_tabview_bug627288.js browser_scratchpad_files.js browser_tabview_orphaned_tabs.js | Exited with code -1073741819)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1311813946.1311816953.21317.gz
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
https://tbpl.mozilla.org/php/getParsedLog.php?id=6605172&tree=Mozilla-Inbound#error7
Summary: Intermittent crash [@ NS_AsyncCopy] (nsAsyncStreamCopier::AsyncCopy) in WinXP debug mochitests (browser_tabview_bug627288.js browser_scratchpad_files.js browser_tabview_orphaned_tabs.js | Exited with code -1073741819) → Intermittent crash [@ NS_AsyncCopy] (nsAsyncStreamCopier::AsyncCopy) in WinXP debug mochitests (browser_tabview_bug627288.js browser_scratchpad_files.js browser_tabview_orphaned_tabs.js browser_tabview_bug616967.js | Exited with code -1073741819)
Out of summary space for browser_getshortcutoruri.js, but https://tbpl.mozilla.org/php/getParsedLog.php?id=6655853&tree=Fx-Team
Which means we're out of space for browser_tabview_bug628270.js too - https://tbpl.mozilla.org/php/getParsedLog.php?id=6656813&tree=Mozilla-Inbound#error6
And for services\sync\tests\unit\test_errorhandler.js too - https://tbpl.mozilla.org/php/getParsedLog.php?id=7259559&full=1&branch=fx-team#error1
browser_tabview_bug610208.js - https://tbpl.mozilla.org/php/getParsedLog.php?id=7544316&tree=Mozilla-Aurora
(Reporter)

Comment 35

6 years ago
browser_styleeditor_reopen.js - https://tbpl.mozilla.org/php/getParsedLog.php?id=7678861&tree=Mozilla-Inbound
browser_tabview_bug634672.js - https://tbpl.mozilla.org/php/getParsedLog.php?id=7936758&tree=Firefox
browser_tabview_bug594958.js - https://tbpl.mozilla.org/php/getParsedLog.php?id=8047293&tree=Mozilla-Inbound
browser_tabview_bug679853.js - https://tbpl.mozilla.org/php/getParsedLog.php?id=8911568&tree=Mozilla-Aurora
browser_tabview_thumbnail_storage.js - https://tbpl.mozilla.org/php/getParsedLog.php?id=8996679&tree=Mozilla-Inbound and hello, Linux!
Summary: Intermittent crash [@ NS_AsyncCopy] (nsAsyncStreamCopier::AsyncCopy) in WinXP debug mochitests (browser_tabview_bug627288.js browser_scratchpad_files.js browser_tabview_orphaned_tabs.js browser_tabview_bug616967.js | Exited with code -1073741819) → Intermittent crash [@ NS_AsyncCopy] (nsAsyncStreamCopier::AsyncCopy) in debug mochitests (browser_tabview_bug627288.js browser_scratchpad_files.js browser_tabview_orphaned_tabs.js browser_tabview_bug616967.js | Exited with code -1073741819)
browser_586068-cascaded_restore.js - https://tbpl.mozilla.org/php/getParsedLog.php?id=9025041&tree=Mozilla-Inbound
browser_586068-cascaded_restore.js - https://tbpl.mozilla.org/php/getParsedLog.php?id=9172120&tree=Mozilla-Inbound
Severity: normal → critical
test_0013_check_incompat_basic.xul - https://tbpl.mozilla.org/php/getParsedLog.php?id=9336880&tree=Mozilla-Inbound
browser_tabview_bug624265.js - https://tbpl.mozilla.org/php/getParsedLog.php?id=9577426&tree=Firefox
browser_tabview_privatebrowsing.js - https://tbpl.mozilla.org/php/getParsedLog.php?id=9675105&tree=Mozilla-Inbound
Comment hidden (Treeherder Robot)
https://tbpl.mozilla.org/php/getParsedLog.php?id=9964820&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=9978824&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=9982144&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=9995230&tree=Firefox#error2
https://tbpl.mozilla.org/php/getParsedLog.php?id=10002484&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=10068629&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=10129343&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=10164672&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=10196949&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=10455529&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=10531458&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=10713314&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=10929482&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=10992120&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=11088038&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=11189469&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=11276976&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=11286141&tree=Mozilla-Aurora
https://tbpl.mozilla.org/php/getParsedLog.php?id=11344962&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=11373076&tree=Mozilla-Aurora
https://tbpl.mozilla.org/php/getParsedLog.php?id=11379400&tree=Firefox
https://tbpl.mozilla.org/php/getParsedLog.php?id=11383585&tree=Firefox
https://tbpl.mozilla.org/php/getParsedLog.php?id=11433228&tree=Mozilla-Beta
https://tbpl.mozilla.org/php/getParsedLog.php?id=11538885&tree=Mozilla-Aurora
https://tbpl.mozilla.org/php/getParsedLog.php?id=11962470&tree=Mozilla-Aurora
Comment hidden (Treeherder Robot)
https://tbpl.mozilla.org/php/getParsedLog.php?id=12362695&tree=Mozilla-Inbound
https://tbpl.mozilla.org/php/getParsedLog.php?id=12432169&tree=Mozilla-Aurora
(Reporter)

Comment 74

5 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=12471035&tree=Mozilla-Aurora
(Reporter)

Comment 75

5 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=12501495&tree=Mozilla-Beta
Summary: Intermittent crash [@ NS_AsyncCopy] (nsAsyncStreamCopier::AsyncCopy) in debug mochitests (browser_tabview_bug627288.js browser_scratchpad_files.js browser_tabview_orphaned_tabs.js browser_tabview_bug616967.js | Exited with code -1073741819) → Intermittent crash [@ NS_AsyncCopy] (nsAsyncStreamCopier::AsyncCopy) in mochitests (browser_tabview_bug627288.js browser_scratchpad_files.js browser_tabview_orphaned_tabs.js browser_tabview_bug616967.js test_ctypes.xul | Exited with code -1073741819)
https://tbpl.mozilla.org/php/getParsedLog.php?id=12830343&tree=Mozilla-Aurora
https://tbpl.mozilla.org/php/getParsedLog.php?id=12849733&tree=Mozilla-Aurora
https://tbpl.mozilla.org/php/getParsedLog.php?id=14466034&tree=Mozilla-Beta
https://tbpl.mozilla.org/php/getParsedLog.php?id=15998661&tree=Firefox
(Assignee)

Updated

5 years ago
Keywords: intermittent-failure
(Assignee)

Updated

5 years ago
Whiteboard: [orange][test that aborts the suite] → [test that aborts the suite]
Resolving WFM keyword:intermittent-failure bugs last modified >3 months ago, whose whiteboard contains none of:
{random,disabled,marked,fuzzy,todo,fails,failing,annotated,time-bomb,leave open}

There will inevitably be some false positives; for that (and the bugspam) I apologise. Filter on orangewfm.
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.